package com.proximity.demo.eventbriteApi.Categories;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

@Service
public class CategoryService {

    private static final String token = "SMEZ5DGCKW5IDHS7HXNI";
    private final RestTemplate restTemplate;
    private CategoryRepository categoryRepository;

    @Autowired
    public CategoryService(RestTemplateBuilder restTemplateBuilder, CategoryRepository categoryRepository) {
        this.restTemplate = restTemplateBuilder.build();
        this.categoryRepository = categoryRepository;
    }

    public Category getCategories() {
        String url = "http://www.eventbriteapi.com/v3/categories?"
                + "token=" + token;
        CategoryWrapper wrapper = restTemplate.getForObject(url, CategoryWrapper.class);
        categoryRepository.saveAll(wrapper.getCategories());
        return null;
    }

    private Category save(Category category) { return this.categoryRepository.save(category); }

}
