package com.proximity.demo.eventbriteApi.Events;

import com.proximity.demo.eventbriteApi.Venues.Venue;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface EventRepository extends JpaRepository<Event, Long> {

    Event findByVenue(Venue venue);

    Event findByEventName(String name);
}
