package com.proximity.demo.eventbriteApi.Events;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;


@Service
public class EventService{

    private static final String token = "SMEZ5DGCKW5IDHS7HXNI";
    private final RestTemplate restTemplate;
    private Event Event = new Event();
    private EventRepository eventRepository;

    @Autowired
    public EventService(RestTemplateBuilder restTemplateBuilder, EventRepository eventRepository) {
        this.restTemplate = restTemplateBuilder.build();
        this.eventRepository = eventRepository;
    }

    public Event getEventsInPhilly() {
        String url = "https://www.eventbriteapi.com/v3/events/search/?"
                + "token=" + token
                + "&location.address=philadelphia";
        EventWrapper wrapper = restTemplate.getForObject(url, EventWrapper.class);
        eventRepository.saveAll(wrapper.getEvents());
        return null;
    }

    public Event save(Event Event) { return this.eventRepository.save(Event); }

    public Event find(String name) { return this.eventRepository.findByEventName(Event.getEventName()); }
}
