package com.proximity.demo.eventbriteApi.Categories;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@CrossOrigin
public class CategoryController {

    @Autowired
    private CategoryService categoryService;

    @Autowired
    private  CategoryRepository categoryRepository;

    @GetMapping("/categories")
    public List<Category> getAll() {
        categoryService.getCategories();
        return categoryRepository.findAll();
    }
}
