package com.proximity.demo.eventbriteApi.Events;


import com.proximity.demo.eventbriteApi.Venues.VenueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@CrossOrigin
public class EventController {

    @Autowired
    private EventService eventService;

    @Autowired
    private EventRepository repository;

    @GetMapping("/events")
    public List<Event> getAll(){
        eventService.getEventsInPhilly();
        return repository.findAll();
    }
}
