package com.proximity.demo.eventbriteApi.Subcategories;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@CrossOrigin
public class SubcategoryController {

    @Autowired
    private SubcategoryService subcategoryService;

    @Autowired
    private SubcategoryRepository subcategoryRepository;

    @GetMapping("/subcategories")
    public List<Subcategory> getAll() {
        subcategoryService.getSubcategories();
        return subcategoryRepository.findAll();
    }
}
