package com.proximity.demo.eventbriteApi.Venues;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@CrossOrigin
public class VenueController {

    @Autowired
    private VenueService venueService;

    @Autowired
    private VenueRepository venueRepository;

    @GetMapping("/venues")
    public List<Venue> getAll() {
        venueService.getEventVenue();
        return venueRepository.findAll();
    }
}
