package com.proximity.demo.eventbriteApi.Venues;

import com.proximity.demo.eventbriteApi.Events.Event;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface VenueRepository extends JpaRepository<Venue, Long> {

    Venue findVenueByEvent(Event Event);

    Venue findByName(String name);
}
